-------------------------------
-- RogueRotationHelper | Created by TheoChao --
-- This file handles setting the various config options --
-------------------------------




function RogueRotationHelper:ChatCommand(input)
    if not input or input:trim() == "" then
        InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
    elseif not input or input:trim() == "help" then
        print("RogueRotationHelper Help\nshow - Shows UI\nhide - Hides UI\nlock - Locks UI\nunlock - Unlocks UI")
    elseif not input or input:trim() == "show" then
        self.displayFrame:Show() 
    elseif not input or input:trim() == "hide" then
        self.displayFrame:Hide() 
    elseif not input or input:trim() == "lock" then
        self:ToggleUILocked(nil, true)
    elseif not input or input:trim() == "unlock" then
        self:ToggleUILocked(nil, false)
    elseif input:trim() == "feint" then
        if self.db.profile.SuggestFeint then 
            self.db.profile.SuggestFeint = false
            print("feint off")
        else
            self.db.profile.SuggestFeint = true
            print("feint on")
        end
    elseif input:trim() == "backstab" then
        if self.db.profile.SuggestBackstab then 
            self.db.profile.SuggestBackstab = false
            print("backstab off")
        else
            self.db.profile.SuggestBackstab = true
            print("backstab on")
        end
    elseif input:trim() == "tricks" then
        if self.db.profile.SuggestTricks then 
            self.db.profile.SuggestTricks = false
            print("tricks off")
        else
            self.db.profile.SuggestTricks= true
            print("tricks on")
        end
    else
        LibStub("AceConfigCmd-3.0").HandleCommand(WelcomeHome, "theo", "RogueRotationHelper", input)
    end
end

function RogueRotationHelper:ToggleUILocked(info, value)
    self.db.profile.UILock = value
    if value then
        self.displayFrame:SetScript("OnMouseDown", nil)
        self.displayFrame:SetScript("OnMouseUp", nil)
        self.displayFrame:SetScript("OnDragStop", nil)
        self.displayFrame:SetBackdropColor(0, 0, 0, 0)
        self.displayFrame:EnableMouse(false)
    else
        self.displayFrame:SetScript("OnMouseDown", function(self) self:StartMoving() end)
        self.displayFrame:SetScript("OnMouseUp", function(self) self:StopMovingOrSizing() end)
        self.displayFrame:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)
        self.displayFrame:SetBackdropColor(0, 0, 0, .4)
        self.displayFrame:EnableMouse(true)
    end
end


-----------------------------------------------------------------------------



